lab05/urls.py
from django.conf.urls import url
from django.urls import path

from . import views

app_name = "lab05"

urlpatterns = [
    path('scheduling/', views.index, name='index'),
    path('result/',views.show_result, name='result'),
    path('process/',views.post, name='formprocess'),
    path('delete/',views.delete_all, name='deleteall'),
    #path('result/', views.sched_table,name='sched table'),
]

ppw_retry/urls.py
from django.contrib import admin
from django.urls import path
from django.conf.urls import url, include
import retryppw.urls as retryppw
import lab05.urls as lab05

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include(retryppw)),
    path('schedule/', include(lab05)),
]

retryppw/urls.py
from django.conf.urls import url
from django.urls import path

from . import views

app_name = "retryppw"

urlpatterns = [
    path('', views.home, name='home'),
    path('story_1/', views.story_1, name = 'story_1'),
    path('story_4/', views.story_4, name='story_4'),
    path('story_4/register/', views.register, name='register'),
    path('story_4/claptrap/', views.claptrap, name='claptrap'),
]

lab05/models.py
from django.db import models
from django.utils import timezone

class Schedule(models.Model):
    activity_name = models.TextField()
    location = models.CharField(max_length=200)
    category = models.TextField()
    created_date = models.DateTimeField(default=timezone.now)
    start_time = models.DateTimeField()
    end_time = models.DateTimeField()

retryppw/models.py
from django.db import models

# Create your models here.

lab05/forms.py
from django import forms

class PostSchedule(forms.Form):
    attrs={'required': True, 'class': 'form-control'}
    attr_time={'type': 'date', 'required': True, 'class': 'form-control'}
    activity_name = forms.CharField(max_length=50)
    location = forms.CharField(max_length=254)
    category = forms.CharField(max_length=70)                         
    start_time = forms.DateTimeField(required = True)
    end_time = forms.DateTimeField(required = True)

lab05/views.py
from django.shortcuts import render
from django.http import HttpResponseRedirect
from .forms import PostSchedule
from .models import Schedule
# Create your views here.
response={}
def index(request):
    form = PostSchedule()
    response['form'] = form
    return render(request,'Schedule.html', response)

def show_result(request):
    schedule = Schedule.objects.all()
    response['schedule']=schedule
    return render(request,'SchedResult.html', response)

def post(request):
    form = PostSchedule(request.POST or None)
    if(request.method == 'POST' and form.is_valid()):
        response['activity_name'] = request.POST['activity_name']
        response['location'] = request.POST['location']
        response['category'] = request.POST['category']
        response['start_time'] = request.POST['start_time']
        response['end_time'] = request.POST['end_time']
        schedule = Schedule(
            activity_name = response['activity_name'],
            location = response['location'],
            category = response['category'],
            start_time = response['start_time'],
            end_time = response['end_time'])
        schedule.save()
        return HttpResponseRedirect('/schedule/result')
    else:
        return HttpResponseRedirect('/')

def delete_all(request):
    schedule = Schedule.objects.all()
    schedule.delete()
    return HttpResponseRedirect('/schedule/result')

retryppw/views.py
from django.shortcuts import render

# Create your views here.
def home(request):
    return render(request,"ppwHome.html")

def story_1(request):
    return render(request, "story1.html")

def story_4(request):
    return render(request,"Profile.html")

def register(request):
    return render(request,'Regist Form.html')

def claptrap(request):
    return render(request,'Claptrap.html')

lab05/templates/SchedResult.html
<!DOCTYPE html>
<html lang='en'>
{%load static%}

<head>
    <title>Astrayrevise's Schedule Result </title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
        crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="{% static "style.css" %}">
</head>

<body>
    <div class="profilePage" id=profilePage>
        <div id="resultsched" class="jumbotron">
            <div>
                <a href="{%url 'lab05:index'%}">Back to schedule service</a>
                <a href="{% url 'lab05:deleteall' %}">
                    <button type="button" class="btn btn-danger">Delete All</button>
                </a>
            </div>
            <table class="table table-hover">
                <thead>
                    <th>Name</th>
                    <th>Location</th>
                    <th>Category</th>
                    <th>Created Date</th>
                    <th>Start Date</th>
                    <th>End Date</th>
                </thead>
                <tbody>
                    {% for i in schedule %}
                    <tr>
                        <td> {{i.activity_name}} </td>
                        <td> {{i.location}} </td>
                        <td> {{i.category}} </td>
                        <td> {{i.created_date.date}} </td>
                        <td> {{i.start_time.date}} </td>
                        <td> {{i.end_time.date}} </td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
</body>

lab05/templates/Schedule.html
<!DOCTYPE html>
<html lang='en'>
{%load static%}

<head>
    <title>Astrayrevise's Scheduling Service </title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
        crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="{% static "style.css" %}">
</head>

<body>
    <div class="profilePage" id=profilePage>
        <div id="outerProfileBorder" class="jumbotron">
            <section name="form">
                    <h2>Schedule Service</h2>
                    <form id="form" method="POST" action="{% url 'lab05:formprocess' %}">
                        {% csrf_token %}
                        {{form}}
                    </form>
                    <button type="submit", class="btn btn-primary", form="form", value="Submit">Submit</button>
                    <a href="{% url 'lab05:result' %}">
                    <button type="button", class="btn btn-info">Result</button>
                    </a>
            </section>
        </div>
    </div>
</body>

retryppw/templates/Claptrap.html
<head>
    <title>Astrayrevise's Profile </title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
        crossorigin="anonymous">
        {%load static%}
        <link rel="stylesheet" type="text/css" href="{% static "style.css" %}">
</head>

<body>
    <div class="bg-image"></div>
    <a href="{% url 'retryppw:story_4' %}">
        <div class="bg-text">
            <h1>It's-a-me-Bimo</h1>
            <p>And I'm a Claptrap Master</p>
            <p>Click here to enter site</p>
            <p>Scroll to dance with claptrap</p>
        </div>
    </a>
    <!--Addition Claptrap Page. Please appreciate him-->
    <div class="clapSect" id="clapSect">
        <img src=https://media.giphy.com/media/S1uy0EgCosuDS/giphy.gif id=clap>
    </div>
</body>

retryppw/templates/Profile.html
<html lang="en">
    {%load static%}
<head>
    <title>Astrayrevise's Profile </title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
        crossorigin="anonymous"> 
    <link rel="stylesheet" type="text/css" href="{% static "style.css" %}">
</head>

<body>
    <!--Navbar Section-->
    {%include 'navBar.html'%}
    <!--Navbar on top-->
    <!--ProfilePage Section-->
    <div class="profilePage" id=profilePage>
        <div id="outerProfileBorder" class="jumbotron">
            <img id="profilePic" src="https://gitlab.com/bimo.iman1/pepewee/raw/master/lab_1/templates/Profile%20pict.JPG">
            <div id="nameDesc">
                <h1 id="name" , class="display-4">
                    Bimo Iman Smartadi
                </h1>
                <h2 id="title">
                    Not your daily designer, 20++ y.o
                </h2>
                <p id="desc">
                    Im actually not a designer. This webprofile is for lecture use only. As you can see, the design is not really that cool yet.
                    but Im working on it. So if you please leave a comment directly to me.
                </p>
            </div>

            <div class="medSos">
                <p id="contact">Contact me @</p>
                <div class="medSosPart1">
                    <a href="http://line.me/ti/p/~bimoimans">
                        <img class="medSosPict" , src="https://cdn4.iconfinder.com/data/icons/social-media-2097/94/line-512.png">
                    </a>
                    <a href="https://www.facebook.com/bimo.smartadi">
                        <img class="medSosPict" , src="https://cdn3.iconfinder.com/data/icons/free-social-icons/67/facebook_square-512.png">
                    </a>
                </div>

                <div class="medSosPart 2">
                    <a href="https://gitlab.com/bimo.iman1">
                        <img class="medSosPict" , src="https://cdn4.iconfinder.com/data/icons/socialcones/508/Gitlab-512.png">
                    </a>
                    <a href="https://plus.google.com/+BimoImanSmartadi">
                        <img class="medSosPict" , src="https://cdn1.iconfinder.com/data/icons/logotypes/32/square-google-plus-512.png">
                    </a>
                </div>
            </div>
        </div>
    </div>
    <!--ProfilePage on top-->
    <!--AchievementPage Section-->
    <div class="achievementSect" id="achievementSect">
        <div id="achievementPage">
            <div id="achievementBar">
                <img src="{% static "workaround.png"%}" id="workaround">
            </div>
        </div>
    </div>
    <!--AchievementPage on top-->
    <!--EducationPage Section-->
    <div class="educationSect" id="educationSect">
        <div id="educationPage" class="jumbotron">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-md-auto" id="univ">
                        <div class="rect-frame">
                            {% load static %}
                            <img class="exp-pics" src="{% static "makara-ui-fasilkom.png"%}">
                        </div>
                    </div>
                    <div class="col">
                        <h2>Universitas Indonesia</h2>
                        <p class="text-left text-m">Faculty of Computer Science</p>
                        <p class="text-left text-m">Undergraduate program of Computer Science</p>
                        <p class="text-left text-s">2017 - Current</p>
                    </div>
                    <div class="w-100"></div>
                    <div id="empty-space" class="col"></div>
                    <div class="w-100"></div>
                    <div class="col-2"></div>
                    <div class="col-2"></div>
                    <div class="col-md-auto offset-md-9" id="moveright">
                        <div class="justify-content-end">
                            <h2> SMAN 1 Kota Tangerang</h2>
                            <p class="text-right text-m">Science Program</p>
                            <br>
                            <p class="text-right text-s">2014-2017</p>
                        </div>
                    </div>
                    <div class="col-md-auto">
                        <div class="rect-frame">
                            {% load static %}
                            <img class="exp-pics" src="{% static "Sma_1_Tangerang-1-cutout.png" %}">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--EducationPage on top-->

</body>

retryppw/templates/Regist Form.html
<html lang="en">
    {%load static%}
<head>
    <title>Astrayrevise Registration Form </title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
        crossorigin="anonymous"> 
    <link rel="stylesheet" type="text/css" href="{% static "style.css" %}">
</head>

<body>
    <!--Navbar Section-->
    {%include 'navBar.html'%}
    <div id=registSect>
        <form id="registform">
            <div class="form-group">
                <label for="nameinput">Full Name</label>
                <input type="text" class="form-control" id="nameinput" placeholder="Your Full Name Here" required>
            </div>
            <div class="form-group">
                    <label for="inputAddress">Birthday Place</label>
                    <input type="text" class="form-control" id="inputAddress" placeholder="Abc City, St.UI Villange, etc." required>
                </div>
            <div class="form-group">
                <label for="inputAddress">Birthday Date</label>
                <input type="date" class="form-control" id="inputAddress">
            </div>
            <div class="form-group">
                <label for="inputAddress">E-mail</label>
                <input type="email" class="form-control" id="inputAddress" placeholder="someone@somewhere.com" required>
            </div>
            <div class="form-group">
                <label for="inputAddress">Username</label>
                <input type="text" class="form-control" id="inputAddress" placeholder="Yourusername" required>
            </div>
            <div class="form-row">
                <div class="form-group col-md-6">
                    <label for="inputPassword">Password</label>
                    <input type="password" class="form-control" id="inputEmail4" placeholder="*******" required>
                </div>
                <div class="form-group col-md-6">
                    <label for="inputPassword4">Confirm Password</label>
                    <input type="password" class="form-control" id="inputPassword4" placeholder="Password" required>
                </div>
            </div>
            <button type="submit" class="btn btn-primary" formaction="Claptrap.html#ClapSect">Submit</button>
        </form>
    </div>
</body>

retryppw/templates/navBar.html
<!--Navbar Section-->
<div class="sidenav">
    <a href="{% url 'retryppw:home' %}">
        <div id=backhomenav class="navFont">
            PPW list
        </div>
    </a>
    <a href="{% url 'retryppw:story_4' %}">
        <div id=profileNav class="navFont">
            Profile
        </div>
    </a>
    <a href="#achievementSect">
        <div id=achNav class="navFont">
            Achievements
        </div>
    </a>
    <a href="#educationSect">
        <div id=edNav class="navFont">
            Education
        </div>
    </a>
    <a href="{% url 'retryppw:claptrap' %}">
        <div id=clapNav class="navFont">
            Claptrap
        </div>
    </a>
    <a href="{% url 'retryppw:register' %}">
        <div id=registNav class="navFont">
            Register
        </div>
    </a>
</div>

retryppw/templates/ppwHome.html
<!DOCTYPE html>
<html lang='en'>
{%load static%}
<head>
    <title>Astrayrevise's PPW Navigation Page </title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
        crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="{% static "another css.css" %}">
</head>

<body>
    <div class='backgroundmain'>
    <div class='backgroundgrey' id='backleft'>
            <a href="{% url 'retryppw:story_1' %}">
        <div class='menurectangle menudone' id='lab1'>
            Lab01 (Friend's Profile)
        </div>
        </a>
        <div class='menurectangle menudone'>
            Lab02 (Web Designing)
        </div>
        <div class='menurectangle menudone'>
            Lab03 (Implementing the Design)
        </div>
        <a href="{% url 'retryppw:story_4' %}">
        <div class='menurectangle menudone'>
            Lab04 (Deploying to Django)
        </div>
        </a>
        <a href="{% url 'lab05:index'%}">
        <div class='menurectangle menudone'>
            Lab05 (ModelForms)
        </div>
        </a>
        <a href = "http://astrayrevise.herokuapp.com/landing/">
        <div class='menurectangle menudone'>
            Lab06 (TDD Discipline)
        </div>
        </a>
    </div>
    <div class='midsect'>
        Well ya hello
    </div>
    <div class='backgroundgrey' id='backright'>
        <a href = "http://astrayrevise.herokuapp.com/landing/">
            <div class='menurectangle menudone'>
                Lab07 (TDD Discipline Functional Test)
            </div>
        <div class='menurectangle menudone'>
            Lab08 (Javascript)
        </div>
        </a>
        <a href = "http://astrayrevise.herokuapp.com/library/show_library">
            <div class='menurectangle menudone'>
                Lab09 (AJAX)
            </div>
        </a>
        <a href = "http://astrayrevise.herokuapp.com/subscribe">
            <div class='menurectangle menudone'>
                Lab10 (AJAX & Webservice with form)
            </div>
        </a>
        <a href = "http://pepewrangers.herokuapp.com/">
        <div class='menurectangle menudone'>
            Tugas01
        </div>
    </a>
        <div class='menurectangle menunot'>
            Tugas02
        </div>
    </div>
</div>
</body>

retryppw/templates/story1.html
<!DOCTYPE html>
<html lang="en">
        {%load static%}
<head>
    <meta charset="UTF-8">
    <title>Astrayrevise's PPW Project</title>
    <link rel="stylesheet" type="text/css" href="{% static "style.css" %}">
    <style>
    body {background-color: teal;}
    img {float: "left";}
    p.profile { text-align: left;}
    p.desc {text-align: left;}
</style>
</head>

<body>
    {%include 'navBar.html'%}
    <h1>Lanterns</h1>
    <table style="width:50%">
  <tr>
    <th><img src="https://gitlab.com/bimo.iman1/pepewee/raw/master/lab_1/templates/Profile%20pict.JPG"
    alt="Ma Pictjca"
    style="width:150px;height:150px;margin-right:15px;"
    ></th>
    <th><p class="profile">
    Nama    : Bimo Iman S
    <br>
    NPM     : 1706039780
    <br>
    Kampus  : Universitas Indonesia
    <br>
    Hobi    : Membaca komik
    <br> 
    </p>
    <p class="desc">
    Remaja yang lahir di tahun 1998 dengan hobi membaca komik Green Lantern dan suka membawa obeng kemana-mana.
    </p></th> 
  </tr>
  <tr>
    <th>
        <a href="http://ppw-b-dankrand.herokuapp.com/">
            <img src ="https://gitlab.com/Darrand/PPW-Darrand/raw/master/lab_1/static/dafa.jpg"
            alt="dapi"
            style="width:150px;height:200;margin-right:15px;">
        </a>
    >
    </th>
    <th><p class="profile">
    Nama    : Dafa Ramadansyah
    <br>
    NPM     : 1706039370
    <br>
    Kampus  : Universitas Indonesia
    <br>
    Hobi    : Gaming, Music and Watching Shows
    <br> 
    </p>
    <p class="desc">
    Name is Dafa Ramadansyah, currently 19 years old in living. Was born in 8th of January 1999.
    Has 1 sister and 1 brother both are older.
    Currently pursuing study in computer science field at Universitas Indonesia.
    Hobbies are playing video games, listening to music and watching all kind of shows (e.g. movies, animes, tv shows).
    </p></th>
  <tr>
    <th>
        <a href="http://ppw-b-blurey.herokuapp.com/">
            <img src ="http://blurey.herokuapp.com/static/pas%20foto.jpg"
            alt="rey"
            style="width:150px;height:200;margin-right:15px;">
        </a>
    </th>
    <th><p class="profile">
    Nama    : Reyhan Alhafizal 
    <br>
    NPM     : 1706040082
    <br>
    Kampus  : UI
    <br>
    Hobi    : Belajar
    <br> 
    </p>
    <p class="desc">
    Halo, dia Reyhan. 
    dia adalah mahasiswa Ilmu Komputer UI 2017. 
    dia sangat senang mempelajari hal baru di bidang ini. 
    Di waktu luang, dia biasanya menonton film atau membaca komik. 
    Semoga PPW lancar amin.
    </p></th>
  </tr>
</table>
    
</body>
</html>